"use client"

import { InfoIcon } from "lucide-react";
import Link from "next/link";
import { Button } from "../ui/button";

export default function TopNav() {
  return (
    <Link href="/about" passHref>
      <Button
        variant="outline"
        className="flex items-center gap-2 px-3"
        aria-label="About"
      >
        <InfoIcon className="w-4 h-4" />
        About
      </Button>
    </Link>
  );
}